diff options
author | David E. O'Brien <obrien@FreeBSD.org> | 2001-09-03 20:29:21 +0000 |
---|---|---|
committer | David E. O'Brien <obrien@FreeBSD.org> | 2001-09-03 20:29:21 +0000 |
commit | 074aec36c2e6561602abf6a267f8231ab1d56d5d (patch) | |
tree | 08d7de3b848bdf39cc138f1c9a818e008f8da7c4 | |
parent | 2c1763d43012168355d03e3d8c0370ad3540f09d (diff) | |
download | src-074aec36c2e6561602abf6a267f8231ab1d56d5d.tar.gz src-074aec36c2e6561602abf6a267f8231ab1d56d5d.zip |
Try to build `mkisofs' first, and only `pkg_add -r' if you cannot.
Notes
Notes:
svn path=/head/; revision=82888
-rw-r--r-- | release/alpha/mkisoimages.sh | 12 | ||||
-rw-r--r-- | release/amd64/mkisoimages.sh | 12 | ||||
-rw-r--r-- | release/i386/mkisoimages.sh | 12 |
3 files changed, 24 insertions, 12 deletions
diff --git a/release/alpha/mkisoimages.sh b/release/alpha/mkisoimages.sh index 224bc4db52d5..dd5f046ea78a 100644 --- a/release/alpha/mkisoimages.sh +++ b/release/alpha/mkisoimages.sh @@ -36,10 +36,14 @@ fi type mkisofs 2>&1 | grep " is " >/dev/null if [ $? -ne 0 ]; then echo The mkisofs port is not installed. Trying to get it now. - if ! pkg_add -r mkisofs; then - echo "Could not get it via pkg_add - please go install this" - echo "from the ports collection and run this script again." - exit 2 + if [ -f /usr/ports/sysutils/mkisofs/Makefile ]; then + cd /usr/ports/sysutils/mkisofs && make install && make clean + else + if ! pkg_add -r mkisofs; then + echo "Could not get it via pkg_add - please go install this" + echo "from the ports collection and run this script again." + exit 2 + fi fi fi diff --git a/release/amd64/mkisoimages.sh b/release/amd64/mkisoimages.sh index 1360d1c4f7ec..de811ab69e30 100644 --- a/release/amd64/mkisoimages.sh +++ b/release/amd64/mkisoimages.sh @@ -39,10 +39,14 @@ fi type mkisofs 2>&1 | grep " is " >/dev/null if [ $? -ne 0 ]; then echo The mkisofs port is not installed. Trying to get it now. - if ! pkg_add -r mkisofs; then - echo "Could not get it via pkg_add - please go install this" - echo "from the ports collection and run this script again." - exit 2 + if [ -f /usr/ports/sysutils/mkisofs/Makefile ]; then + cd /usr/ports/sysutils/mkisofs && make install && make clean + else + if ! pkg_add -r mkisofs; then + echo "Could not get it via pkg_add - please go install this" + echo "from the ports collection and run this script again." + exit 2 + fi fi fi diff --git a/release/i386/mkisoimages.sh b/release/i386/mkisoimages.sh index 1360d1c4f7ec..de811ab69e30 100644 --- a/release/i386/mkisoimages.sh +++ b/release/i386/mkisoimages.sh @@ -39,10 +39,14 @@ fi type mkisofs 2>&1 | grep " is " >/dev/null if [ $? -ne 0 ]; then echo The mkisofs port is not installed. Trying to get it now. - if ! pkg_add -r mkisofs; then - echo "Could not get it via pkg_add - please go install this" - echo "from the ports collection and run this script again." - exit 2 + if [ -f /usr/ports/sysutils/mkisofs/Makefile ]; then + cd /usr/ports/sysutils/mkisofs && make install && make clean + else + if ! pkg_add -r mkisofs; then + echo "Could not get it via pkg_add - please go install this" + echo "from the ports collection and run this script again." + exit 2 + fi fi fi |